%global plugin_name workflow-multibranch

Summary:    Enhances Pipeline plugin to handle branches better in Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    2.7
Release:    1%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Multibranch+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-multibranch-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.642.3

%description
Enhances Pipeline plugin to handle branches better by 
automatically grouping builds from different branches.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.7-1
- Initial package
